// Copyright 2017-2018 Atomic Games, LLC. All Rights Reserved.

namespace Atom.Core.Networking.Messages.Structures.User
{
    public sealed class PROTO_NC_USER_LOGINWORLD_ACK : NetworkMessage
    {
        public PROTO_NC_USER_LOGINWORLD_ACK(Client client) : base(MessageProtocol.NC_USER_LOGINWORLD_ACK)
        {
            Write(client.Handle);
            Write((byte) client.Account.Characters.Count);

            foreach (var Character in client.Account.Characters)
            {
                WriteLogin(Character);
            }
        }
    }
}
